Update invoice fields
Update invoice fields:
- dunning - Update dunning properties.
- dueDate - Update invoice due date. Note: It is not possible to update both dunning and dueDate in the same request, as there are no invoice statuses that allow both updates simultaneously.
PATCH
/
v1
/
{id}
Update invoice fields
curl --request PATCH \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/invoice/v1/{id}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"dueDate": "2023-12-25",
"dunning": {
"reminder1TriggerDate": "2019-11-27",
"blockTriggerDate": "2019-11-27",
"reminder2TriggerDate": "2019-11-27",
"collectionTriggerDate": "2019-11-27",
"dunningStatus": "STOPPED"
}
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/invoice/v1/{id}"
payload = {
"dueDate": "2023-12-25",
"dunning": {
"reminder1TriggerDate": "2019-11-27",
"blockTriggerDate": "2019-11-27",
"reminder2TriggerDate": "2019-11-27",
"collectionTriggerDate": "2019-11-27",
"dunningStatus": "STOPPED"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dueDate: '2023-12-25',
dunning: {
reminder1TriggerDate: '2019-11-27',
blockTriggerDate: '2019-11-27',
reminder2TriggerDate: '2019-11-27',
collectionTriggerDate: '2019-11-27',
dunningStatus: 'STOPPED'
}
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/invoice/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Invoice id for given invoice
Query Parameters
The audit user to log the request
Body
application/json
Was this page helpful?
⌘I
Update invoice fields

